This is an interpreter for Ndeql (see http://esolangs.org/wiki/Ndeql
). It has not been extensively tested, but doesn't seem to have any
terrible bugs.

$ make
$ ./ndeql examples/truth1.ndq

Of note to those interested in proving computational class, defining
LESS_PROBLEMATIC while compiling will cause the interpreter to follow
Koen's suggestion

> Another, less problematic version of the BEGIN instruction could be
> "If no variable is nonzero, skip to the matching END."

The two variations of truth in the examples directory illustrate this:
truth1.ndq will probably work with the standard interpreter, but
there's always a chance it won't. truth2.ndq will probably not work
with the standard interprete, but there's always a chance it
will. Both files, however, will always work with a less problematic
interpreter.